package imagex_test

import (
	"context"
	"encoding/json"
	"fmt"
	"testing"

	"github.com/volcengine/volc-sdk-golang/base"
	imagex "github.com/volcengine/volc-sdk-golang/service/imagex/v2"
)

func Test_UpdateImageStyleMeta(t *testing.T) {
	instance := imagex.NewInstance()

	instance.SetCredential(base.Credentials{
		AccessKeyID:     "ak",
		SecretAccessKey: "sk",
	})

	param := &imagex.UpdateImageStyleMetaReq{
		UpdateImageStyleMetaQuery: &imagex.UpdateImageStyleMetaQuery{},
		UpdateImageStyleMetaBody:  &imagex.UpdateImageStyleMetaBody{},
	}

	resp, err := instance.UpdateImageStyleMeta(context.Background(), param)

	if err != nil {
		fmt.Printf("error %v", err)
	} else {
		t, _ := json.Marshal(resp)
		fmt.Printf("success %v", string(t))
	}
}
